Subject: Bug#1272: [X2Go-Dev] Bug#1272: nxagent crashes on Ubuntu 16.04, making x2go server unusable

From: Mike Gabriel <[email-masked]>
Date: Mon, 19 Mar 2018 12:05:34 +0000

Control: forwarded -1 https://github.com/ArcticaProject/nx-libs/issues/677
Control: tags -1 fixed-upstream
Control: fixed -1 3.5.99.16
Control: forcemerge -1 #1269

On  Do 15 Mär 2018 22:47:44 CET, Maciej Puzio wrote:

> Good news! We have an upstream bug:
> https://github.com/ArcticaProject/nx-libs/issues/677
>
> It appears that Arctica issue is exactly what I have been experiencing.
>
> I use KDE on two screens with different resolutions (1920x1200 and  
> 1600x1200). X2goclient session uses only one of these displays, but  
> the mere presence of two monitors on the client causes nxagent to  
> crash on the server. I tested another client machine with one  
> screen, and everything worked fine (i.e. I was able to open the  
> session, and nxagent did not segfault). It does not matter whether I  
> move the x2go session window, maximize it, and so on. All that  
> matters is number of displays on the client and their relative size.  
> (I did not test with two screens of equal size.)
>
> As the upstream bug suggested, I installed the x2go nightly  
> packages, as explained here:
> https://wiki.x2go.org/doku.php/wiki:development:nightly-builds
> After that, the problem went away and dual-screen setup worked fine.  
> So I guess the bug is fixed in nightly builds.
>
> As a side note, the number of bugs that show up in various Linux  
> packages when using dual monitors has recently been so astounding  
> that I am ready to give up and replace my setup with a larger single  
> screen. Still, I can't force all my users to do so.

Adding some meta information to the bug and force-merging with 1269.

@Ionic: please close this one, when 3.5.99.16 hits X2Go stable repos.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: [email-masked], http://das-netzwerkteam.de